package jp.co.y_net.amm.dao;

import java.io.Serializable;


public class Pwtckt extends AppDto implements Serializable {
	private static final long serialVersionUID = 1L;

	/** 状態 */
    public static final Integer STATUS_受付中 = 0;
    public static final Integer STATUS_完了 = 1;
    public static final Integer STATUS_中止 = 2;
    public static final Integer STATUS_有効期限切れ = 3;
	
    private Integer pwtcktid;
	private Integer usrid;
	private String ticket;
	private Long createdate;
	private Long ticketdate;
	private Long completedate;
	private Long canceldate;
    private Integer status;
    
    
    public Integer getPwtcktid() {
        return pwtcktid;
    }
    public void setPwtcktid(Integer pwtcktid) {
        this.pwtcktid = pwtcktid;
    }
    public Integer getUsrid() {
        return usrid;
    }
    public void setUsrid(Integer usrid) {
        this.usrid = usrid;
    }
    public String getTicket() {
        return ticket;
    }
    public void setTicket(String ticket) {
        this.ticket = ticket;
    }
    public Long getCreatedate() {
        return createdate;
    }
    public void setCreatedate(Long createdate) {
        this.createdate = createdate;
    }
    public Long getTicketdate() {
        return ticketdate;
    }
    public void setTicketdate(Long ticketdate) {
        this.ticketdate = ticketdate;
    }
    public Long getCompletedate() {
        return completedate;
    }
    public void setCompletedate(Long completedate) {
        this.completedate = completedate;
    }
    public Long getCanceldate() {
        return canceldate;
    }
    public void setCanceldate(Long canceldate) {
        this.canceldate = canceldate;
    }
    public Integer getStatus() {
        return status;
    }
    public void setStatus(Integer status) {
        this.status = status;
    }
}
